<?php
// Include the database connection file
include "connection.php";

// Check if 'i' is present in the GET request
if (isset($_GET['i'])) {
    $id = $_GET['i'];

    // Prepare the SQL statement to prevent SQL injection
    $sql = "DELETE FROM slider_list WHERE id = ?";
    
    // Initialize a prepared statement
    $stmt = mysqli_prepare($conn, $sql);
    
    // Bind the parameter to the SQL query
    mysqli_stmt_bind_param($stmt, 'i', $id);

    // Execute the statement
    if (mysqli_stmt_execute($stmt)) {
        echo "Data deleted successfully!";
    } else {
        echo "Data deletion failed: " . mysqli_error($conn);
    }

    // Close the statement
    mysqli_stmt_close($stmt);
} else {
    echo "No ID specified for deletion.";
}

// Close the database connection
mysqli_close($conn);
?>
