<?php

// Include the database connection file
include('connection.php');

// Set the content type for the response
header('Content-Type: application/json; charset=utf-8');

// Retrieve the category from the query parameter
$cetagory = isset($_GET['cetagory']) ? $_GET['cetagory'] : '';

// Initialize an empty array to store the response data
$data = [];

// SQL query to select all records from the donar_list table
$sql = "SELECT * FROM donar_list";
$result = mysqli_query($conn, $sql);

// Check if the query was successful
if ($result) {
    // Loop through the result set and build the data array
    while ($item = mysqli_fetch_assoc($result)) {
        $info = [
            'id'          => $item['id'],
            'name'        => $item['name'],
            'address'     => $item['address'],
            'numbar'      => $item['numbar'],
            'date'        => $item['date'],
            'bloodgroup'  => $item['bloodgroup'],
            'images'      => $item['images'],
            'cetagory'    => $item['cetagory'],
        ];
        array_push($data, $info);
    }

    // Return the data as a JSON response
    echo json_encode($data);
} else {
    // Return an error message if the query failed
    echo json_encode(['error' => 'Failed to retrieve data from the database.']);
}

// Close the database connection
mysqli_close($conn);

?>
