<?php

include "connection.php";

// Set the content type to JSON
header('Content-Type: application/json; charset=utf-8');

// Check if 'cetagory' parameter is set
if (isset($_GET['cetagory'])) {
    $cetagory = $_GET['cetagory'];

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $conn->prepare("SELECT * FROM web_list WHERE cetagory = ?");
    $stmt->bind_param("s", $cetagory);
    
    // Execute the statement and get the result
    $stmt->execute();
    $result = $stmt->get_result();

    // Initialize an array to hold the data
    $data = array();

    // Fetch data from the result set
    while ($item = $result->fetch_assoc()) {
        $info = array(
            'id' => $item['id'],
            'title' => $item['title'],
            'images' => $item['image'],
            'url' => $item['url']
        );
        $data[] = $info; // Add the info array to the data array
    }

    // Output the data as JSON
    echo json_encode($data);
} else {
    // Return an error if 'cetagory' parameter is not set
    echo json_encode(array("error" => "cetagory parameter is required"));
}

// Close the database connection
mysqli_close($conn);
?>
